Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicClassificationSolutionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicClassificationSolutionView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicClassificationSolutionView.cs	(revision 11093)
@@ -22,4 +22,5 @@
 using System;
 using System.ComponentModel;
+using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
@@ -42,5 +43,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      btnSimplify.Enabled = Content != null && !Locked;
+      btnSimplify.Enabled = Content != null && !Locked && Content.ProblemData.TrainingIndices.Any(); // simplification is only possible if there are trainings samples
       exportButton.Enabled = Content != null && !Locked;
     }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicDiscriminantFunctionClassificationSolutionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicDiscriminantFunctionClassificationSolutionView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicDiscriminantFunctionClassificationSolutionView.cs	(revision 11093)
@@ -22,4 +22,5 @@
 using System;
 using System.ComponentModel;
+using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
@@ -42,5 +43,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      btnSimplify.Enabled = Content != null && !Locked;
+      btnSimplify.Enabled = Content != null && !Locked && Content.ProblemData.TrainingIndices.Any(); // simplification is only possible if there are trainings samples
       exportButton.Enabled = Content != null && !Locked;
     }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionErrorCharacteristicsCurveView.cs	(revision 11093)
@@ -60,4 +60,5 @@
       double rmse, cvRmsError;
       var problemData = (IRegressionProblemData)ProblemData.Clone();
+      if(!problemData.TrainingIndices.Any()) return null; // don't create an LR model if the problem does not have a training set (e.g. loaded into an existing model)
 
       //clear checked inputVariables
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionView.cs	(revision 11093)
@@ -22,4 +22,5 @@
 using System;
 using System.ComponentModel;
+using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
@@ -42,5 +43,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      btnSimplify.Enabled = Content != null && !Locked;
+      btnSimplify.Enabled = Content != null && !Locked && Content.ProblemData.TrainingIndices.Any(); // simplification is only possible if there are trainings samples
       exportButton.Enabled = Content != null && !Locked;
     }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis.Views/3.4/SymbolicTimeSeriesPrognosisSolutionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis.Views/3.4/SymbolicTimeSeriesPrognosisSolutionView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis.Views/3.4/SymbolicTimeSeriesPrognosisSolutionView.cs	(revision 11093)
@@ -21,5 +21,5 @@
 
 using System;
-using System.Windows.Forms;
+using System.Linq;
 using HeuristicLab.MainForm;
 using HeuristicLab.Problems.DataAnalysis.Views;
@@ -40,9 +40,9 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      btnSimplify.Enabled = Content != null && !Locked;
+      btnSimplify.Enabled = Content != null && !Locked && Content.ProblemData.TrainingIndices.Any(); // simplification is only possible if there are trainings samples
     }
 
     private void btn_SimplifyModel_Click(object sender, EventArgs e) {
-      InteractiveSymbolicTimeSeriesPrognosisSolutionSimplifierView view = new InteractiveSymbolicTimeSeriesPrognosisSolutionSimplifierView();
+      var view = new InteractiveSymbolicTimeSeriesPrognosisSolutionSimplifierView();
       view.Content = (SymbolicTimeSeriesPrognosisSolution)this.Content.Clone();
       view.Show();
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionErrorCharacteristicsCurveView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionErrorCharacteristicsCurveView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionErrorCharacteristicsCurveView.cs	(revision 11093)
@@ -99,22 +99,23 @@
       chart.Series.Clear();
       chart.Annotations.Clear();
+
       if (Content == null) return;
-
-      var constantModel = CreateConstantModel();
-      var originalValues = GetOriginalValues().ToList();
-      var baselineEstimatedValues = GetEstimatedValues(constantModel);
-      var baselineResiduals = GetResiduals(originalValues, baselineEstimatedValues);
-
-      baselineResiduals.Sort();
-      chart.ChartAreas[0].AxisX.Maximum = Math.Ceiling(baselineResiduals.Last());
-      chart.ChartAreas[0].CursorX.Interval = baselineResiduals.First() / 100;
-
-      Series baselineSeries = new Series("Baseline");
-      baselineSeries.ChartType = SeriesChartType.FastLine;
-      UpdateSeries(baselineResiduals, baselineSeries);
-      baselineSeries.ToolTip = "Area over Curve: " + CalculateAreaOverCurve(baselineSeries);
-      baselineSeries.Tag = constantModel;
-      baselineSeries.LegendToolTip = "Double-click to open model";
-      chart.Series.Add(baselineSeries);
+      if (cmbSamples.SelectedItem.ToString() == TrainingSamples && !ProblemData.TrainingIndices.Any()) return;
+      if (cmbSamples.SelectedItem.ToString() == TestSamples && !ProblemData.TestIndices.Any()) return;
+
+      if (Content.ProblemData.TrainingIndices.Any()) {
+        var constantModel = CreateConstantModel();
+        var originalValues = GetOriginalValues().ToList();
+        var baselineEstimatedValues = GetEstimatedValues(constantModel);
+        var baselineResiduals = GetResiduals(originalValues, baselineEstimatedValues);
+
+        Series baselineSeries = new Series("Baseline");
+        baselineSeries.ChartType = SeriesChartType.FastLine;
+        UpdateSeries(baselineResiduals, baselineSeries);
+        baselineSeries.ToolTip = "Area over Curve: " + CalculateAreaOverCurve(baselineSeries);
+        baselineSeries.Tag = constantModel;
+        baselineSeries.LegendToolTip = "Double-click to open model";
+        chart.Series.Add(baselineSeries);
+      }
 
       AddRegressionSolution(Content);
@@ -127,6 +128,11 @@
       solutionSeries.Tag = solution;
       solutionSeries.ChartType = SeriesChartType.FastLine;
-      var estimatedValues = GetResiduals(GetOriginalValues(), GetEstimatedValues(solution));
-      UpdateSeries(estimatedValues, solutionSeries);
+      var residuals = GetResiduals(GetOriginalValues(), GetEstimatedValues(solution));
+      
+      chart.ChartAreas[0].AxisX.Maximum = Math.Ceiling(residuals.Max());
+      chart.ChartAreas[0].CursorX.Interval = residuals.Min() / 100;
+
+      UpdateSeries(residuals, solutionSeries);
+
       solutionSeries.ToolTip = "Area over Curve: " + CalculateAreaOverCurve(solutionSeries);
       solutionSeries.LegendToolTip = "Double-click to open model";
@@ -236,5 +242,5 @@
       double averageTrainingTarget = ProblemData.Dataset.GetDoubleValues(ProblemData.TargetVariable, ProblemData.TrainingIndices).Average();
       var model = new ConstantRegressionModel(averageTrainingTarget);
-      var solution = new ConstantRegressionSolution(model,(IRegressionProblemData)ProblemData.Clone());
+      var solution = new ConstantRegressionSolution(model, (IRegressionProblemData)ProblemData.Clone());
       solution.Name = "Baseline";
       return solution;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionErrorCharacteristicsCurveView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionErrorCharacteristicsCurveView.cs	(revision 11092)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionErrorCharacteristicsCurveView.cs	(revision 11093)
@@ -22,7 +22,6 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Windows.Forms;
 using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
+
 namespace HeuristicLab.Problems.DataAnalysis.Views {
   [View("Error Characteristics Curve")]
@@ -51,12 +50,14 @@
       if (Content == null) return;
 
-      //AR1 model
-      double alpha, beta;
-      OnlineCalculatorError errorState;
       IEnumerable<double> trainingStartValues = ProblemData.Dataset.GetDoubleValues(ProblemData.TargetVariable, ProblemData.TrainingIndices.Select(r => r - 1).Where(r => r > 0)).ToList();
-      OnlineLinearScalingParameterCalculator.Calculate(ProblemData.Dataset.GetDoubleValues(ProblemData.TargetVariable, ProblemData.TrainingIndices.Where(x => x > 0)), trainingStartValues, out alpha, out beta, out errorState);
-      var AR1model = new TimeSeriesPrognosisAutoRegressiveModel(ProblemData.TargetVariable, new double[] { beta }, alpha).CreateTimeSeriesPrognosisSolution(ProblemData);
-      AR1model.Name = "AR(1) Model";
-      AddRegressionSolution(AR1model);
+      if (trainingStartValues.Any()) {
+        //AR1 model
+        double alpha, beta;
+        OnlineCalculatorError errorState;
+        OnlineLinearScalingParameterCalculator.Calculate(ProblemData.Dataset.GetDoubleValues(ProblemData.TargetVariable, ProblemData.TrainingIndices.Where(x => x > 0)), trainingStartValues, out alpha, out beta, out errorState);
+        var ar1model = new TimeSeriesPrognosisAutoRegressiveModel(ProblemData.TargetVariable, new double[] { beta }, alpha).CreateTimeSeriesPrognosisSolution(ProblemData);
+        ar1model.Name = "AR(1) Model";
+        AddRegressionSolution(ar1model);
+      }
     }
   }